package com.prolog.cs.biz.inbound.dto.rqc;

import com.prolog.cs.biz.inbound.constant.ValidatorGroup.validEdit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description 质检策略表
 * @Author Xiong
 * @Date 2021-04-02
 */

@ApiModel
public class RqcStDTO implements Serializable {
	private static final long serialVersionUID = 8857928421461451390L;
	@ApiModelProperty(value = "质检策略主键id(雪花)", required = true)
	@NotBlank(message = "质检策略主键id(雪花) can not blank!", groups = validEdit.class)
	private String rqcStId;

	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库id")
	private String warehouseId;

	@ApiModelProperty(value = "供应商id")
	private String vendorId;

	@ApiModelProperty(value = "策略名称")
	private String stName;

	@ApiModelProperty(value = "策略编号")
	private String stNum;

	@ApiModelProperty(value = "备注说明")
	private String remark;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "企业正则表达式")
	private String enRegexp;

	@ApiModelProperty(value = "货主正则")
	private String ocRegexp;

	@ApiModelProperty(value = "仓库正则")
	private String whRegexp;

	@ApiModelProperty(value = "正则规则说明")
	private String regexpDes;

	@ApiModelProperty(value = "商品id")
	private String itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品大类编码")
	private String itemCategoryCode;

	@ApiModelProperty(value = "策略类型(0通用;1非通用)")
	private String stType;

	@ApiModelProperty(value = "备用字段1(64长)")
	private String attribute1;

	@ApiModelProperty(value = "备用字段2(64长)")
	private String attribute2;

	@ApiModelProperty(value = "备用字段3(64长)")
	private String attribute3;

	@ApiModelProperty(value = "商品查询条件")
	private String itemCondition;
	
	@ApiModelProperty(value = "单据类型(入库)")
	private String billType;

	public String getBillType() {
		return billType;
	}

	public void setBillType(String billType) {
		this.billType = billType;
	}

	public String getItemCondition() {
		return itemCondition;
	}

	public void setItemCondition(String itemCondition) {
		this.itemCondition = itemCondition;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getItemCategoryCode() {
		return itemCategoryCode;
	}

	public void setItemCategoryCode(String itemCategoryCode) {
		this.itemCategoryCode = itemCategoryCode;
	}

	public String getStType() {
		return stType;
	}

	public void setStType(String stType) {
		this.stType = stType;
	}

	public String getAttribute1() {
		return attribute1;
	}

	public void setAttribute1(String attribute1) {
		this.attribute1 = attribute1;
	}

	public String getAttribute2() {
		return attribute2;
	}

	public void setAttribute2(String attribute2) {
		this.attribute2 = attribute2;
	}

	public String getAttribute3() {
		return attribute3;
	}

	public void setAttribute3(String attribute3) {
		this.attribute3 = attribute3;
	}

	public String getRqcStId() {
		return this.rqcStId;
	}

	public void setRqcStId(String rqcStId) {
		this.rqcStId = rqcStId;
	}

	public String getMtlOwnerId() {
		return this.mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getVendorId() {
		return this.vendorId;
	}

	public void setVendorId(String vendorId) {
		this.vendorId = vendorId;
	}

	public String getStName() {
		return this.stName;
	}

	public void setStName(String stName) {
		this.stName = stName;
	}

	public String getStNum() {
		return this.stNum;
	}

	public void setStNum(String stNum) {
		this.stNum = stNum;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEnRegexp() {
		return this.enRegexp;
	}

	public void setEnRegexp(String enRegexp) {
		this.enRegexp = enRegexp;
	}

	public String getOcRegexp() {
		return this.ocRegexp;
	}

	public void setOcRegexp(String ocRegexp) {
		this.ocRegexp = ocRegexp;
	}

	public String getWhRegexp() {
		return this.whRegexp;
	}

	public void setWhRegexp(String whRegexp) {
		this.whRegexp = whRegexp;
	}

	public String getRegexpDes() {
		return this.regexpDes;
	}

	public void setRegexpDes(String regexpDes) {
		this.regexpDes = regexpDes;
	}

}
